Skip to content

Upload attachment

Request

Through this endpoint, attachments can be added to registrations. The required attachments for each registration can be retrieved from the get policy endpoint.

Security
OAuth2(Required scopes: write)
Path
projectIdstringrequired

Customer's project id

Example:eeew32344324edewe2e3
registrationIdstringrequired

Registration id requested

Example:234235425jhl21132424lf
attachmentIdstringrequired

Attachment definition id requested

Example:324234762423034240
Bodymultipart/form-data

File content body

string, (binary)
curl -i -X POST \
  https://senderid.registrations.api.sinch.com/v1/projects/eeew32344324edewe2e3/registrations/234235425jhl21132424lf/attachments/324234762423034240 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: multipart/form-data' \
  -d string

Responses

Document uploaded successfully

Response
No content
We'd love to hear from you!
Rate this content: